Bug 72002 - Update port: graphics/deng dependency fix
Summary: Update port: graphics/deng dependency fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-22 18:00 UTC by Igor Pokrovsky
Modified: 2004-09-24 21:12 UTC (History)
0 users

See Also:


Attachments
deng.diff (613 bytes, patch)
2004-09-22 18:00 UTC, Igor Pokrovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Pokrovsky 2004-09-22 18:00:25 UTC
Added missed png dependency.
Marked broken on amd64.
Comment 1 Thierry Thomas freebsd_committer 2004-09-23 20:10:58 UTC
State Changed
From-To: open->feedback


- this port uses LIBTOOL; 

- <bsd.port.pre.mk> is no more required; 

- fix WITH_OPENAL case. 

I propose you the following patch: 

--- deng.diff begins here --- 
diff -urN games/deng.orig/Makefile games/deng/Makefile 
--- games/deng.orig/Makefile	Thu Sep 23 20:27:13 2004 
+++ games/deng/Makefile	Thu Sep 23 21:03:43 2004 
@@ -14,28 +14,25 @@ 
MAINTAINER=	ip@doom.homeunix.org 
COMMENT=	An enhanced Doom, Heretic and Hexen source port 

+LIB_DEPENDS=	png.5:${PORTSDIR}/graphics/png 
RUN_DEPENDS=	${LOCALBASE}/bin/timidity:${PORTSDIR}/audio/timidity 

-BROKEN=		Missing dependency 
- 
USE_REINPLACE=	yes 
REINPLACE_ARGS=	-i "" 
-GNU_CONFIGURE=	yes 
+USE_LIBTOOL_VER=	15 
CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL} 
CONFIGURE_ENV=	CFLAGS="${CFLAGS} `${SDL_CONFIG} --cflags` -I${LOCALBASE}/include -I${X11BASE}/include"  
CPPFLAGS="`${SDL_CONFIG} --cflags` -I${LOCALBASE}/include -I${X11BASE}/include" 
USE_SDL=	sdl mixer net 
USE_GL=		yes 
INSTALLS_SHLIB=	yes 
+NOT_FOR_ARCHS=	amd64 

PKGMESSAGE=	${WRKDIR}/pkg-message 

-.include <bsd.port.pre.mk> 
- 
-.if exists(${LOCALBASE}/lib/libopenal.so.0) 
+.if exists(${LOCALBASE}/lib/libopenal.so.0) || defined(WITH_OPENAL) 
WITH_OPENAL=	yes 
-BUILD_DEPENDS=	${LOCALBASE}/lib/libopenal.so.0:${PORTSDIR}/audio/openal 
-RUN_DEPENDS=	${LOCALBASE}/lib/libopenal.so.0:${PORTSDIR}/audio/openal 
+LIB_DEPENDS+=	openal.0:${PORTSDIR}/audio/openal 
.endif 

.if !defined(WITH_OPENAL) 
@@ -69,4 +66,4 @@ 
@(${SED} -e 's|%%PREFIX%%|${PREFIX}|; s|%%DOCSDIR%%|${DOCSDIR}|'  
<pkg-message >${PKGMESSAGE} && ${CAT} ${PKGMESSAGE}) 

-.include <bsd.port.post.mk> 
+.include <bsd.port.mk> 
diff -urN games/deng.orig/pkg-plist games/deng/pkg-plist 
--- games/deng.orig/pkg-plist	Thu Sep 23 20:27:13 2004 
+++ games/deng/pkg-plist	Thu Sep 23 20:59:22 2004 
@@ -1,34 +1,20 @@ 
bin/doomsday 
lib/libdpdehread.a 
-lib/libdpdehread.la 
lib/libdpdehread.so 
lib/libdpdehread.so.0 
lib/libdpmapload.a 
-lib/libdpmapload.la 
lib/libdpmapload.so 
lib/libdpmapload.so.0 
-lib/libdropengl.a 
-lib/libdropengl.la 
lib/libdropengl.so 
lib/libdropengl.so.0 
-%%WITH_OPENAL%%lib/libdsopenal.a 
-%%WITH_OPENAL%%lib/libdsopenal.la 
%%WITH_OPENAL%%lib/libdsopenal.so 
%%WITH_OPENAL%%lib/libdsopenal.so.0 
-lib/libdssdlmixer.a 
-lib/libdssdlmixer.la 
lib/libdssdlmixer.so 
lib/libdssdlmixer.so.0 
-lib/libjdoom.a 
-lib/libjdoom.la 
lib/libjdoom.so 
lib/libjdoom.so.0 
-lib/libjheretic.a 
-lib/libjheretic.la 
lib/libjheretic.so 
lib/libjheretic.so.0 
-lib/libjhexen.a 
-lib/libjhexen.la 
lib/libjhexen.so 
lib/libjhexen.so.0 
%%DATADIR%%/Data/Doomsday.wad 
--- deng.diff ends here --- 



Comment 2 Thierry Thomas freebsd_committer 2004-09-23 20:10:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2004-09-24 21:11:28 UTC
State Changed
From-To: feedback->closed


Committed, thanks.